org.jboss.resteasy.example.pubsub

## Class PubSubApplication

- java.lang.Object
- - javax.ws.rs.core.Application
  - - org.jboss.resteasy.example.pubsub.PubSubApplication

-     public class PubSubApplication
      extends Application

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<Object>` | `singletons`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PubSubApplication()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Object>` | `getSingletons()` Get a set of root resource, provider and `feature` instances.

    - ### Methods inherited from class javax.ws.rs.core.Application

      `getClasses, getProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### singletons

          protected Set<Object> singletons

  - ### Constructor Detail

    - #### PubSubApplication

          public PubSubApplication()

  - ### Method Detail

    - #### getSingletons

          public Set<Object> getSingletons()

      Description copied from class: `Application`
      Get a set of root resource, provider and `feature` instances. Fields and properties of returned instances are injected with their declared dependencies (see `Context`) by the runtime prior to use.

      Implementations should warn about and ignore classes that do not conform to the requirements of root resource or provider classes. Implementations should flag an error if the returned set includes more than one instance of the same class. Implementations MUST NOT modify the returned set.

      The default implementation returns an empty set.

      Overrides:
        `getSingletons` in class `Application`
      Returns:
        a set of root resource and provider instances. Returning `null` is equivalent to returning an empty set.

Copyright © 2014. All Rights Reserved.